{
  "compilerOptions": {
    "baseUrl": ".",
    "module": "ESNext",
    "target": "ESNext",
    "lib": ["DOM", "ESNext"],
    "strict": true,
    "allowJs": true,
    "esModuleInterop": true,
    "allowSyntheticDefaultImports": true,
    "jsx": "preserve",
    "moduleResolution": "node",
    "isolatedModules": true,
    "resolveJsonModule": true,
    "noUnusedLocals": true,
    "strictNullChecks": true,
    "forceConsistentCasingInFileNames": true,
    "paths": {
      "~/*": ["./*"],
      "@/*": ["./src/*"]
    },
    "types": ["vite/client", "node", "unplugin-icons/types/vue", "naive-ui/volar", "vue"]
  },
  "exclude": ["node_modules", "dist"]
}
